/* Style du modal pour qu'il soit plus attrayant */
.swal2-modal {
    background-color: #f4f6f9;
    border-radius: 8px;
}
.swal2-title {
    color: #34495e;
}
#orderLinesTable {
    width: 100% !important;
    margin-top: 20px;
    border-collapse: collapse;
}
#orderLinesTable th, #orderLinesTable td {
    padding: 12px; width: 100px!important;
    border: 1px solid #dee2e6;
    text-align: left;
    width: 100px!important;
}

body {
    font-family: Arial, sans-serif;
    padding: 20px;
}
table.dataTable {
    width: 100%;
    margin-bottom: 20px;
}
.details-button {
    background-color: #007bff;
    color: white;
    padding: 5px 10px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}
.details-button:hover {
    background-color: #0056b3;
}

.modal-content {
    font-family: Arial, sans-serif;
    color: #333;
}

.modal-content h2 {
    font-size: 24px;
    color: #007bff;
    margin-bottom: 20px;
    text-align: center;
}

.modal-content ul {
    list-style-type: none;
    padding: 0;
    margin: 0;
}

.modal-content ul li {
    margin-bottom: 15px;
    padding: 10px;
    border-bottom: 1px solid #eee;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.modal-content ul li:last-child {
    border-bottom: none;
}

.modal-content ul li .supplier-name {
    font-weight: bold;
    font-size: 18px;
    color: #007bff;
}

.modal-content ul li .price {
    font-size: 16px;
    color: #28a745;
}